Retrieve the payment link record by order ID.
curl --request GET \
--url https://sandbox.omnispay.com/api/payment-link/get/{id} \
--header 'X-HMAC-Signature: <api-key>' \
--header 'accountId: <api-key>' \
--header 'apiKey: <api-key>'import requests
url = "https://sandbox.omnispay.com/api/payment-link/get/{id}"
headers = {
"apiKey": "<api-key>",
"X-HMAC-Signature": "<api-key>",
"accountId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {apiKey: '<api-key>', 'X-HMAC-Signature': '<api-key>', accountId: '<api-key>'}
};
fetch('https://sandbox.omnispay.com/api/payment-link/get/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>",
"response": {}
}{
"status": "<string>",
"message": "<string>",
"response": {}
}{
"status": "<string>",
"message": "<string>",
"response": {}
}{
"status": "<string>",
"message": "<string>",
"response": {}
}{
"status": "<string>",
"message": "<string>",
"response": {}
}{
"status": "<string>",
"message": "<string>",
"response": {}
}{
"status": "<string>",
"message": "<string>",
"response": {}
}{
"status": "<string>",
"message": "<string>",
"response": {}
}Payment Links
Retrieve Payment Link
This GET API is used to retrieve the payment link record by the order ID.
GET
/
payment-link
/
get
/
{id}
Retrieve the payment link record by order ID.
Retrieve Payment Link
This endpoint retrieves the payment link record associated with the given order ID.Path Parameters
- orderId (string, required): The unique identifier for retrieves the payment link record.
Request Headers
- User-Agent (string, optional): The User-Agent header, which is not mandatory.
Example Request
GET /payment-link/get/12345
User-Agent: Mozilla/5.0
Authorizations
Headers
Path Parameters
Order ID for retrieving the payment link record
⌘I

